
%global meadversion 1.2.16
%global namedversion 1.2.16.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 12
%global namedversionrel redhat-3

# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%if "%{?rhel}" == "6"
%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif
%else
%bcond_with repolib
%endif

%bcond_with bootstrap

%define section free

%define reltag .redhat_2
%define namedreltag -redhat-2

%global shortname log4j

%define maven_version 1.2.16.redhat-3

Name:           log4j-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java logging package
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: log4j-1.2.16.redhat-3-scm-sources.zip
Source101: log4j-1.2.16.redhat-3-patches.zip
Source102: log4j-1.2.16.redhat-3-project-sources.tar.gz
Source103: log4j-1.2.16.redhat-3-javadoc.jar
Source104: log4j-1.2.16.redhat-3-sources.jar
Source105: log4j-1.2.16.redhat-3.pom
Source106: log4j-1.2.16.redhat-3.jar
%endif

URL:            http://logging.apache.org/log4j/
# Converted from src/java/org/apache/log4j/lf5/viewer/images/lf5_small_icon.gif
Source1:        %{shortname}-logfactor5.png
Source2:        %{shortname}-logfactor5.sh
Source3:        %{shortname}-logfactor5.desktop
# Converted from docs/images/logo.jpg
Source4:        %{shortname}-chainsaw.png
Source5:        %{shortname}-chainsaw.sh
Source6:        %{shortname}-chainsaw.desktop
Source7:        %{shortname}.catalog
Requires:       jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Log4j is a tool to help the programmer output log statements to a
variety of output targets.

%package -n %{shortname}
Summary:        Java logging package
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

%description -n %{shortname}
Log4j is a tool to help the programmer output log statements to a
variety of output targets.

%if %with repolib
%package -n %{shortname}-repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description -n %{shortname}-repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif


%prep

%build

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/log4j-%{namedversion}.jar %{buildroot}%{_javadir}/log4j-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/log4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/log4j-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms/
%{__cp} -p %{_sourcedir}/log4j-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-log4j.pom

# depmaps
%if "%{?rhel}" != "7"
%add_to_maven_depmap log4j log4j %{namedversion} JPP log4j
%endif

# Alternative JAR location
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/log4j-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/log4j-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/log4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/log4j-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# scripts
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -p -m 755 %{SOURCE2} %{buildroot}%{_bindir}/logfactor5
%{__install} -p -m 755 %{SOURCE5} %{buildroot}%{_bindir}/chainsaw

# freedesktop.org menu entries and icons
%{__mkdir_p} %{buildroot}%{_datadir}/{applications,pixmaps}
%{__cp} -p %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/logfactor5.png
%{__cp} -p %{SOURCE3} %{buildroot}%{_datadir}/applications/jpackage-logfactor5.desktop
%{__cp} -p %{SOURCE4} %{buildroot}%{_datadir}/pixmaps/chainsaw.png
%{__cp} -p %{SOURCE6} %{buildroot}%{_datadir}/applications/jpackage-chainsaw.desktop

# DTD and the SGML catalog (XML catalog handled in scriptlets)
%{__mkdir_p} %{buildroot}%{_datadir}/sgml/%{shortname}
%{__cp} -p %{SOURCE7} %{buildroot}%{_datadir}/sgml/%{shortname}/catalog

%{__mkdir_p} %{buildroot}%{_sysconfdir}/sgml
/bin/touch %{buildroot}%{_sysconfdir}/sgml/%{shortname}-%{namedversion}-%{release}.cat

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n %{shortname}
/bin/touch %{_sysconfdir}/sgml/%{shortname}-%{namedversion}-%{release}.cat 2>/dev/null
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --add \
    %{_sysconfdir}/sgml/%{shortname}-%{namedversion}-%{release}.cat \
    %{_datadir}/sgml/%{shortname}/catalog > /dev/null 2>&1 || :
fi
%update_maven_depmap


%postun -n %{shortname}
%update_maven_depmap
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --remove \
    %{_sysconfdir}/sgml/%{shortname}-%{namedversion}-%{release}.cat \
    %{_datadir}/sgml/%{shortname}/catalog > /dev/null 2>&1 || :
fi

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/%{name}
%{_javadir}*/%{name}/log4j-%{namedversion}.jar
%{_javadir}*/%{name}/log4j.jar
%{_javadir}*/%{name}/log4j-%{namedversion}-sources.jar
%{_javadir}*/%{name}/log4j-sources.jar

%files -n %{shortname}
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/chainsaw
%attr(0755,root,root) %{_bindir}/logfactor5
%{_javadir}*/log4j-%{namedversion}.jar
%{_javadir}*/log4j.jar
%{_javadir}*/log4j-%{namedversion}-sources.jar
%{_javadir}*/log4j-sources.jar
%{_datadir}/maven2/poms/JPP-log4j.pom
%if "%{?rhel}" != "7"
%{_mavendepmapfragdir}/%{name}
%endif
%{_datadir}/applications/*chainsaw.desktop
%{_datadir}/applications/*logfactor5.desktop
%{_datadir}/pixmaps/chainsaw.png
%{_datadir}/pixmaps/logfactor5.png
%{_datadir}/sgml/%{shortname}
%ghost %{_sysconfdir}/sgml/%{shortname}-%{namedversion}-%{release}.cat

%if %with repolib
%files -n %{shortname}-repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Jul 05 2017 Fernando Nasser <fnasser@redhat.com> - 1.2.16-12.redhat_3.1
- Backport fix for CVE-2017-5645

* Wed Jul 05 2017 Fernando Nasser <fnasser@redhat.com> - 1.2.16-12.redhat_3.1
- Backport fix for CVE-2017-5645

* Wed Jul 05 2017 Fernando Nasser <fnasser@redhat.com> - 1.2.16-12.redhat_3.1
- Backport fix for CVE-2017-5645

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.16-11.redhat_2.4
- Rebuild for MD5

* Mon Aug 20 2012 Paul Gier <pgier@redhat.com> - 0:1.2.16-10.redhat_2.4
- Update pom patch for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.16-10.redhat_2.3
- Rebuild unsigned

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.16-10.redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.16-10.redhat_1.1
- Rebuild using cache signing

* Thu Jul 19 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2.16-10.redhat_1
- Build in MEAD

* Thu Jun 14 2012 David Walluck <dwalluck@redhat.com> 0:1.2.16-9
- work around deploy bug
- fix Version and Release

* Tue May 15 2012 Yong Yang <yyang@redhat.com> 0:1.2.16-8
- Update pom patch with ant-contrib and junit commented in antrun plugin

* Mon May 14 2012 David Walluck <dwalluck@redhat.com> 0:1.2.16-7
- change manual location

* Mon May 14 2012 David Walluck <dwalluck@redhat.com> 0:1.2.16-6
- build with maven (adds some additional classes)
- fix version everywhere
- remove 'GA' from Release (not part of any version)
- use BuildRequires jboss apis
- add license files to log4j-eap6 pkg
- remove GCJ support
- fix repolib
- fix manual
- use std Java Group

* Wed Apr 18 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.16-5.GA_redhat_1
- Update vman patch (use patch instead of replacing pom)
- Update Release: tag

* Tue Apr 10 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2.16-4_redhat_1.5
- Install only jars in main package

* Thu Apr 05 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2.16-4_redhat_1.4
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.16-4_redhat_1.3.1
- Rebuild using cache signing

* Mon Feb 13 2012 Fernando nasser <fnasser@redhat.com> - 0:1.2.16-4_redhat_1.3
- Do not require mx4j at run-time
- BR jboss-parent

* Fri Feb 03 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2.16-4_redhat_1.2
- Rebuild

* Thu Aug 25 2011 Yong Yang <yyang@redhat.com> - 0:1.2.16-4_redhat_1
- Correct version in repolib

* Tue Aug 23 2011 Yong Yang <yyang@redhat.com> - 0:1.2.16-3_redhat_1
- Build for werewolf

* Wed May 25 2011 Yong Yang <yyang@redhat.com> - 0:1.2.16-2
- Use mvn-jpp for deploy instead of upload.sh

* Tue May 24 2011 Yong Yang <yyang@redhat.com> - 0:1.2.16-1
- Upgrade to 1.2.16
- Comment all Patches

* Wed Dec 08 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.2.14-18.2
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin

* Mon Jun 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.2.14-18.1
- Fix Release tag

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.2.14-17.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.2.14-17.2
- Rebuild

* Tue Mar 09 2010 Yong Yang <yyang@redhat.com> 0:1.2.14-17.1
- Merge with RHEL-4-EP-5

* Tue Mar 02 2010 Permaine Cheung <pcheung@redhat.com> 0:1.2.14-16.1
- Change R: glassfish-javamail >= 0:1.3.1 to R: javamail  >= 0:1.4
- Fixed build-classpath for javamail

* Tue Mar 02 2010 Permaine Cheung <pcheung@redhat.com> 0:1.2.14-16
- Fix Requires: to align with what is in EAP 5

* Wed Feb 03 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.2.14-15.1
- Disable aot Compiler

* Fri Feb 20 2009 David Walluck <dwalluck@redhat.com> 0:1.2.14-15
- fix JMX support
- require the API providers that are used for build
- fix file-not-utf8

* Fri Feb 06 2009 Ralph Apel <r.apel at r-apel.de> 0:1.2.14-14
- Add pom and depmap frag
- Omit xml-commons-apis, jaxp_parser_impl Requires
- (B)R, post, postun jpackage-utils
- BR java-devel >= 0:1.5.0, R java >= 0:1.5.0

* Fri Dec 05 2008 David Walluck <dwalluck@redhat.com> 0:1.2.14-13
- fix repolib file ownership
- fix repolib file permissions
- fix component-info.xml
- fix installed catalog
- use more explicit file list
- fix GCJ support
- fix javadocs
- fix some API jars

* Thu May 29 2008 David Walluck <dwalluck@redhat.com> 0:1.2.14-4.jpp5
- add mx4j patch from 0:1.2.14-3jpp, but not applying (creates Sun dependency)
- fix License
- remove javadoc scriptlets
- own %%{_libdir}/gcj/%%{name}
- fix file permissions
- fix macros in %%changelog

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> - 0:1.2.14-1jpp.ep1.1
- New repolib location

* Thu Feb 22 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.14-1jpp.el4ep1.3
- Fix the component-info.xml file to use the right atribute in import

* Sun Feb 18 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.14-1jpp.el4ep1.2
- Add repolib support

* Sat Feb 17 2007 Fernando Nasser <fnasser@redhat.com> - 0:1.2.14-1jpp.el4ep1.1
- Merge for upgrade

* Sat Feb 17 2007 Fernando Nasser <fnasser@redhat.com> - 0:1.2.14-1jpp
- Upgrade

* Mon Feb 12 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.2.13-4jpp
- Add bootstrap option to build core

* Tue Aug 08 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.13-3jpp
- Add requires-post/postun sections for javadoc subpackage.

* Fri Jul 21 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.2.13-2jpp
- Add conditional native compilation for GCJ.

* Tue Apr 04 2006 Fernando Nasser <fnasser@redhat.com> - 0.1.2.13-1jpp_1rh
- Merge for 1.2.13 upgrade

* Mon Mar 06 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.2.13-1jpp
- 1.2.13.
- Replace non-free dependencies

* Thu Nov 17 2005 Fernando Nasser <fnasser@redhat.com> - 0.1.2.8-7jpp_3rh
- Merge for 1.2.12 upgrade
- Use generic javamail alternative
- Explicitly require mx4j

* Thu Oct 13 2005 Ville Skytta <scop at jpackage.org> - 0:1.2.12-1jpp
- 1.2.12.

* Sun Aug 21 2005 Ville Skytta <scop at jpackage.org> - 0:1.2.11-1jpp
- 1.2.11.

* Tue Apr 26 2005 Ville Skytta <scop at jpackage.org> - 0:1.2.9-1jpp
- 1.2.9.
- Fix URLs.
- Crosslink with local JDK javadocs.

* Tue Feb 22 2005 David Walluck <david@jpackage.org> 0:1.2.8-9jpp
- own non-versioned javadoc symlink
- fix perl location in contribs script

* Sat Aug 21 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.2.8-8jpp
- Rebuild wit Ant 1.6.2

* Thu Mar  4 2004 Frank Ch. Eigler <fche@redhat.com> - 0.1.2.8-7jpp_1rh
- RH vacuuming

* Sun Aug 31 2003 Ville Skytta <scop at jpackage.org> - 0:1.2.8-7jpp
- Add scripts and freedesktop.org menu entries for LogFactor5 and Chainsaw.
- Include log4j.dtd and install SGML/XML catalogs.
- Require jpackage-utils, jaxp_parser_impl.
- Crosslink with local xml-commons-apis javadocs.
- Don't BuildRequire JUnit, the test suite is not included :(
- Fix Group.

* Sun May 11 2003 David Walluck <david@anti-microsoft.org> 0:1.2.8-6jpp
- add jpackage-utils requirement
- add epochs to all versioned requirements
- use jmx explicitly for now until mx4j works

* Fri Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) laPoste.net> 1.2.8-3jpp
- For jpackage-utils 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.2.8-2jpp
- fix ASF license and add packager tag

* Thu Feb 20 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.2.8-1jpp
- log4j 1.2.8

* Thu Oct 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.7-1jpp
- log4j 1.2.7

* Fri Aug 23 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.6-1jpp
- log4j 1.2.6

* Wed Jul 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.5-1jpp
- log4j 1.2.5

* Tue Jul 02 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.4-2jpp
- section macro

* Thu Jun 20 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.4-1jpp
- log4j 1.2.4

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-8jpp
- versioned dir for javadoc
- drop j2ee package
- no dependencies for manual and javadoc packages
- adaptation for new jaf and javamail packages

* Sat Dec 8 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-7jpp
- drop j2ee patch

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-6jpp
- javadoc into javadoc package
- drop %%{name}-core.jar

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1.3-5jpp
- new jpp extension
- fixed compilation (added activation in the classpath)
- BuildRequires: jaf

* Tue Nov 20 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-4jpp
- non-free extension classes back in original archive
- removed packager tag

* Tue Oct 9 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-3jpp
- first unified release
- non-free extension as additional package
- s/jPackage/JPackage

* Tue Sep 04 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-2mdk
- rebuild with javamail to provide SMTP appender
- add CVS references

* Sun Aug 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-1mdk
- 1.1.3
- used new source packaging policy
- vendor tag
- packager tag
- s/Copyright/License/
- truncated description to 72 columns in spec
- spec cleanup
- used versioned jar

* Sat Feb 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-3mdk
- spec cleanup
- changelog correction
- build with junit

* Sun Feb 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-2mdk
- merged with Henri Gomez <hgomez@users.sourceforge.net> specs:
-  changed name to log4j
-  changed javadir to /usr/share/java
-  dropped jdk & jre requirement
-  added jikes support
-  changed description
- added xerces requirement
- more macros

* Sun Jan 14 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-1mdk
- first Mandrake release
